Is numpy required to use the'Geotagged photos to points' tool in the Photos toolset?

2536
7
03-03-2016 01:16 PM
Highlighted
by
Regular Contributor III

I just tried running 'Geotagged photos to points' tool in the Photos toolset on a folder of jpegs, but got a long list of error messages, culminating in 'Import Error: no module named numpy'. Reading the documentation and sample python scripts, there is no mention of needing to import numpy. Numpy is not imported in the actual script for the tool either. The script does import ExifUtils, but I can't find documentation on that to see if it requires numpy. So my question is, is numpy required even though not explicitly mentioned?

Reply
0 Kudos
7 Replies
Highlighted
MVP Esteemed Contributor

even if it were, it is routinely installed during a conventional installation of arcgis .... unless of course, your python instalation doesn't conform to what is expected by ArcGIS.  What version of arcmap are you using?  if it is 10.3 or so, python should appear in a c:\python2.7 folder which has a subfolder indicating the version of arcmap etc  for arcgis pro, there should aso be a c:\python3.4 folder with a similar sub folder.

Reply
0 Kudos
Highlighted
by
Regular Contributor III

Thanks Dan. We're running 10.3.1. We're using VDI connections over Citrix for our desktops, so that's managed at a server level, meaning I don't know the exact installation setup. I actually have two desktops available to me, I suppose I could try the other one.

I opened the script for the Geotagged photos tool, no mention of numpy. It did import ExifUtils, which I found in a modules folder, and no mention of numpy in that either.

I can remote into a desktop box that I'm told has numpy installed and try there, or physically go to the site where that box is and log on, but it's Thursday evening now and I've got other stuff to do.

Reply
0 Kudos
Highlighted
by
Regular Contributor III

I ran the tool successfully when directly logged on the other desktop.. Still errors on the VDI connection (see image). I did verify that numpy is in the site-packages library.

Capture3.PNGOne other odd thing - when starting eirher ArcMap or ArcCatalog on VDI, getting a 'VB6EXT.OLB' could not be loaded' error. I'm not using VB6 anywhere, so don't know where that's coming from. Only Office product installed is Outlook. Don't know if this is related.

Reply
0 Kudos
Highlighted
MVP Esteemed Contributor

for 2.7, python should contain a folder structure like     C:\Python27\ArcGIS10.3 .......

the VB stuff sounds like an artifact to hyperlinking scripts

Reply
0 Kudos
Highlighted
by
Regular Contributor III

Yes, there is a numpy folder at C:\Python27\ArcGIS10.3\Lib\site-packages. In the fifth error line from the bottom, '...\arcpy\arcpy\_graph.py', line 27 does import numpy. -graph.py documentation says it integrates the Graph classes.

Reply
0 Kudos
Highlighted
MVP Esteemed Contributor

so it is here then... C:\Python27\Lib\site-packages\numpy

go to your IDE and try the a numpy import

>>> import numpy  # pyscripter and pythonwin used

do the same in arcmap's python window

If that works... then it is something else in the setup/program that can't find numpy

Reply
0 Kudos
Highlighted
by
Regular Contributor III

That's a good test Dan, thanks. Importing numpy in pyscripter and arcmap python window works. IT is going to rebuild my VDI desktops, see if that fixes the problem.

Reply
0 Kudos